﻿using System;
using System.Windows.Forms;
using System.Collections.Generic;
using System.Text;

using SuperMap.Data;
using SuperMap.UI;
using SuperMap.Desktop;

namespace SuperMap.Desktop.MapExport
{
    internal class Export_GIF : CtrlAction
    {

        public Export_GIF(IBaseItem caller)
            : base(caller)
        {

        }

        public override void Run()
        {
            try
            {
                SaveFileDialog saveFile = new SaveFileDialog();
                saveFile.Filter = "GIF文件(*.gif)|*.gif";
                if (saveFile.ShowDialog() != DialogResult.OK)
                {
                    return;
                }
                String strExcelPath = saveFile.FileName;
               
                //获得活动的主地图窗口
                IFormMap MainForm = Application.ActiveForm as IFormMap;
                //获得主地图控件

                MapControl MainMapCtrl = MainForm.MapControl;

                bool bExport = false;
                bExport = MainMapCtrl.Map.OutputMapToGIF(strExcelPath, false);

                if (bExport)
                {
                    Application.ActiveApplication.Output.Output("Succeeded to export map!");
                }
                else
                {
                    Application.ActiveApplication.Output.Output("Failed to export map!");
                }

            }
            catch (Exception ex)
            {
                SuperMap.Desktop.Application.ActiveApplication.Output.Output(ex.StackTrace);
            }
        }

        public override Boolean Enable()
        {
            Boolean enable = true;
            try
            {

            }
            catch
            {

            }
            return enable;
        }

        public override System.Windows.Forms.CheckState Check()
        {
            System.Windows.Forms.CheckState checkState = System.Windows.Forms.CheckState.Unchecked;
            try
            {

            }
            catch
            {

            }

            return checkState;
        }
    }
}

